Get Document Configuration Full Data
curl --request GET \
--url https://api.flashdocs.ai/v1/documents/{document_id}/full \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flashdocs.ai/v1/documents/{document_id}/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flashdocs.ai/v1/documents/{document_id}/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization_id": "<string>",
"type": "template",
"name": "<string>",
"description": "<string>",
"id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by": "",
"status": "in_progress",
"google_document_id": "<string>",
"knowledge_base_item_ids": [],
"format": "google",
"slides": [],
"questions": [],
"knowledge_base_items": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}FlashDocs Document Configuration
Get Document Configuration Full Data
GET
/
v1
/
documents
/
{document_id}
/
full
Get Document Configuration Full Data
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Response
Successful Response
ID of the organization this document belongs to
Type of the document (template or library)
Available options:
template, library Name of the document
Detailed description of the document
Unique identifier
Creation timestamp
Last update timestamp
Email of user (non FlashDocs) who created the document
Current status of the document
Available options:
deployed, in_progress ID of the corresponding Google Slides document
item_id for each knowledge base item associated with document.
Format of the document google vs microsoft
Available options:
google, microsoft Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes